<?php
    namespace Pixebuilder\Element;
    
    // prevent direct file access
	if( !defined( 'ABSPATH' ) ) exit;

    class Shortcode extends Item{

        static function get_name(){
            return 'shortcode';
        }

        static function get_title(){
            return esc_html__('Shortcode', 'pixebuilder');
        }

        static function get_icon(){
            return 'code';
        }
        
        static function render_content($settings){

            $ret = '';
            if( !empty($settings['content']) ){
                $ret .= do_shortcode($settings['content']);
            }

            return $ret;
        }

    }

    \Pixe_Builder::register_element('Pixebuilder\Element\Shortcode');
    